<template>
  <div
    v-if="sirens!==[]"
    class="container"
  >
    <page-title :title="'Ajouter un groupement'">
      <template #icon>
        <group-icon />
      </template>
    </page-title>
    <div
      class="row"
    >
      <div
        class="col-md-12"
        style="margin-bottom: 1vh;padding-left: 0;"
      >
        <click-button
          @click="$router.push({'path':'/groupements'})"
        >
          <template slot="content">
            Gérer les groupements
          </template>
        </click-button>
      </div>
    </div>
    <add-group-form />
  </div>
  <div
    v-else
  >
    Afin de gérer des groupements, vous (ou l'un de vos comptes utilisateur) devez avoir un fichier dsn intégré pour une de vos entreprises.
  </div>
</template>

<script>
import {mapActions, mapGetters} from 'vuex'
import PageTitle from "../../../components/Title/PageTitle";
import GroupIcon from "../../../components/Icon/GroupIcon";
import AddGroupForm from "../../../components/Form/Group/AddGroupForm";
import ClickButton from "../../../components/Button/ClickButton";

export default {
  name: "AddGroup",
  components: {ClickButton, AddGroupForm, GroupIcon, PageTitle},
  data() {
    return {
      validator: null
    }
  },
  computed: {
    ...mapGetters([
      'sirens'
    ])
  },
  created() {
    this.fetchSirensIntegrated()
  },
  mounted() {
  },
  methods: {
    ...mapActions([
      'fetchSirensIntegrated'
    ]),
  }
}
</script>

<style scoped>

</style>